package com.tuoheng.miniprogram.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.tuoheng.common.core.config.common.CommonConfig;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.common.core.utils.StringUtils;
import com.tuoheng.miniprogram.service.IWxService;
import com.tuoheng.miniprogram.utils.GetOpenIdUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Author ChengWang
 * @Date 2023/6/23
 */
@Service
@Slf4j
public class WxServiceImpl implements IWxService {


    @Override
    public JsonResult openid(String code) {

        String openidResult = GetOpenIdUtil.getopenid(code, CommonConfig.appId, CommonConfig.appSecret);
        String openid = JSONObject.parseObject(openidResult).getString("openid");
        if(StringUtils.isNotEmpty(openid)){
            return JsonResult.success(openid);
        }else {
            log.error("获取openid失败：",openidResult);
            return JsonResult.error("获取openid失败");
        }
    }
}
